/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package preexamen02;

import javax.swing.JOptionPane;

/**
 *
 * @author Tec. Móvil
 */
public class jintRegistro extends javax.swing.JInternalFrame {

    /**
     * Creates new form jintRegistro
     */
    public jintRegistro() {
        initComponents();
        this.deshabilitar();
    }
    
    public void deshabilitar(){
        this.txtCantidad.setEnabled(false);
        this.txtCodVenta.setEnabled(false);
        this.txtCostoVenta.setEnabled(false);
        this.txtImpuesto.setEnabled(false);
        this.txtTotalPagar.setEnabled(false);
        
        this.btnGuardar.setEnabled(false);
        this.btnMostrar.setEnabled(false);
    }
    
    public void habilitar(){
        this.txtCodVenta.setEnabled(!false);
        this.txtCantidad.setEnabled(!false);
        
        this.btnGuardar.setEnabled(true);
    }
    
    public void limpiar(){
        this.txtCodVenta.setText("");
        this.txtCantidad.setText("");
        this.txtCostoVenta.setText("");
        this.txtImpuesto.setText("");
        this.txtTotalPagar.setText("");
        
        this.cmbTipo.setSelectedIndex(0);
        
        this.txtCodVenta.requestFocus();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabel1 = new javax.swing.JLabel();
        txtCantidad = new javax.swing.JTextField();
        jLabel3 = new javax.swing.JLabel();
        cmbTipo = new javax.swing.JComboBox<>();
        jPanel1 = new javax.swing.JPanel();
        jLabel2 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();
        txtTotalPagar = new javax.swing.JTextField();
        txtCostoVenta = new javax.swing.JTextField();
        txtImpuesto = new javax.swing.JTextField();
        jLabel4 = new javax.swing.JLabel();
        txtCodVenta = new javax.swing.JTextField();
        btnMostrar = new javax.swing.JButton();
        btnNuevo = new javax.swing.JButton();
        btnGuardar = new javax.swing.JButton();
        btnLimpiar = new javax.swing.JButton();
        btnCancelar = new javax.swing.JButton();
        btnCerrar = new javax.swing.JButton();

        setBackground(new java.awt.Color(204, 0, 51));
        setClosable(true);
        setIconifiable(true);
        setMaximizable(true);
        setResizable(true);
        setTitle("Registro de ventas de Gasolina");
        getContentPane().setLayout(null);

        jLabel1.setText("Tipo de Gasolina:");
        getContentPane().add(jLabel1);
        jLabel1.setBounds(30, 100, 100, 30);
        getContentPane().add(txtCantidad);
        txtCantidad.setBounds(120, 60, 90, 30);

        jLabel3.setText("Cantidad:");
        getContentPane().add(jLabel3);
        jLabel3.setBounds(30, 60, 80, 30);

        cmbTipo.setModel(new javax.swing.DefaultComboBoxModel<>(new String[] { "Regular", "Premium" }));
        getContentPane().add(cmbTipo);
        cmbTipo.setBounds(130, 100, 80, 30);

        jPanel1.setBorder(javax.swing.BorderFactory.createTitledBorder(null, "- - - - - - Calculos - - - - - -", javax.swing.border.TitledBorder.CENTER, javax.swing.border.TitledBorder.DEFAULT_POSITION));
        jPanel1.setLayout(null);

        jLabel2.setText("Total a Pagar:");
        jPanel1.add(jLabel2);
        jLabel2.setBounds(50, 130, 80, 30);

        jLabel5.setText("Costo de venta:");
        jPanel1.add(jLabel5);
        jLabel5.setBounds(50, 50, 100, 30);

        jLabel6.setText("Impuesto:");
        jPanel1.add(jLabel6);
        jLabel6.setBounds(50, 90, 80, 30);
        jPanel1.add(txtTotalPagar);
        txtTotalPagar.setBounds(220, 130, 130, 30);

        txtCostoVenta.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                txtCostoVentaActionPerformed(evt);
            }
        });
        jPanel1.add(txtCostoVenta);
        txtCostoVenta.setBounds(220, 50, 130, 30);
        jPanel1.add(txtImpuesto);
        txtImpuesto.setBounds(220, 90, 130, 30);

        getContentPane().add(jPanel1);
        jPanel1.setBounds(50, 150, 430, 190);

        jLabel4.setText("Codigo Venta:");
        getContentPane().add(jLabel4);
        jLabel4.setBounds(30, 20, 80, 30);
        getContentPane().add(txtCodVenta);
        txtCodVenta.setBounds(120, 20, 90, 30);

        btnMostrar.setText("Mostrar");
        btnMostrar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnMostrarActionPerformed(evt);
            }
        });
        getContentPane().add(btnMostrar);
        btnMostrar.setBounds(330, 100, 80, 30);

        btnNuevo.setText("Nuevo");
        btnNuevo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnNuevoActionPerformed(evt);
            }
        });
        getContentPane().add(btnNuevo);
        btnNuevo.setBounds(330, 20, 80, 30);

        btnGuardar.setText("Guardar");
        btnGuardar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnGuardarActionPerformed(evt);
            }
        });
        getContentPane().add(btnGuardar);
        btnGuardar.setBounds(330, 60, 80, 30);

        btnLimpiar.setText("Limpiar");
        btnLimpiar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnLimpiarActionPerformed(evt);
            }
        });
        getContentPane().add(btnLimpiar);
        btnLimpiar.setBounds(50, 370, 80, 23);

        btnCancelar.setText("Cancelar");
        btnCancelar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnCancelarActionPerformed(evt);
            }
        });
        getContentPane().add(btnCancelar);
        btnCancelar.setBounds(220, 370, 90, 23);

        btnCerrar.setText("Cerrar");
        btnCerrar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnCerrarActionPerformed(evt);
            }
        });
        getContentPane().add(btnCerrar);
        btnCerrar.setBounds(410, 370, 63, 23);

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void txtCostoVentaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_txtCostoVentaActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_txtCostoVentaActionPerformed

    private void btnNuevoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnNuevoActionPerformed
        // TODO add your handling code here:
        reg = new Registro();
        this.habilitar();
    }//GEN-LAST:event_btnNuevoActionPerformed

    private void btnGuardarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnGuardarActionPerformed
        // TODO add your handling code here:
        boolean exito = false;
            if(this.txtCodVenta.getText().equals(""))exito = true;
            if(this.txtCantidad.getText().equals(""))exito = true;
            
            if (exito == true){
                JOptionPane.showMessageDialog(this, "Falto capturar informacion");
            }
            else{
                reg.setCodigoVenta(Integer.parseInt(this.txtCodVenta.getText()));
                reg.setCantidad(Integer.parseInt(this.txtCantidad.getText()));
                
                int tipo = this.cmbTipo.getSelectedIndex();
                switch (tipo){
                    case 0: reg.setTipo(1); break;
                    case 1: reg.setTipo(2); break;  
                }
                if(reg.getTipo()==1) reg.setPrecio(17.50f);
                else{
                    reg.setPrecio(18.50f);
                }
                    
                JOptionPane.showMessageDialog(this, "Se aguardo con exito la informacion");
                this.btnMostrar.setEnabled(true);   
            }
    }//GEN-LAST:event_btnGuardarActionPerformed

    private void btnMostrarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnMostrarActionPerformed
        // TODO add your handling code here:
        this.txtCodVenta.setText(String.valueOf(reg.getCodigoVenta()));
        this.txtCantidad.setText(String.valueOf(reg.getCantidad()));
        
        int tipo = reg.getTipo();
        switch (tipo){
            case 1: this.cmbTipo.setSelectedIndex(0); break;
            case 2: this.cmbTipo.setSelectedIndex(1); break;
        }
        
        this.txtCostoVenta.setText(String.valueOf(reg.calcularCostoVenta()));
        this.txtImpuesto.setText(String.valueOf(reg.calcularImpuesto()));
        this.txtTotalPagar.setText(String.valueOf(reg.calcularTotalPagar()));
    }//GEN-LAST:event_btnMostrarActionPerformed

    private void btnLimpiarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnLimpiarActionPerformed
        // TODO add your handling code here:
        this.limpiar();
    }//GEN-LAST:event_btnLimpiarActionPerformed

    private void btnCancelarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnCancelarActionPerformed
        // TODO add your handling code here:
        this.limpiar();
        this.deshabilitar();
    }//GEN-LAST:event_btnCancelarActionPerformed

    private void btnCerrarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnCerrarActionPerformed
        // TODO add your handling code here:
        int opcion = 0;

        opcion = JOptionPane.showConfirmDialog(this, "Deseas Salir?", "Cotizacion", JOptionPane.YES_NO_OPTION);
        if(opcion == JOptionPane.YES_OPTION){
            this.dispose();
        }

    }//GEN-LAST:event_btnCerrarActionPerformed


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnCancelar;
    private javax.swing.JButton btnCerrar;
    private javax.swing.JButton btnGuardar;
    private javax.swing.JButton btnLimpiar;
    private javax.swing.JButton btnMostrar;
    private javax.swing.JButton btnNuevo;
    private javax.swing.JComboBox<String> cmbTipo;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JTextField txtCantidad;
    private javax.swing.JTextField txtCodVenta;
    private javax.swing.JTextField txtCostoVenta;
    private javax.swing.JTextField txtImpuesto;
    private javax.swing.JTextField txtTotalPagar;
    // End of variables declaration//GEN-END:variables
    
    private Registro reg;
}
